Result (JUnit API)
Date: 2016-08-24

org.junit.runner

## Class Result

- java.lang.Object
- - org.junit.runner.Result

- All Implemented Interfaces:
    Serializable

      public class Result
      extends Object
      implements Serializable

  A `Result` collects and summarizes information from running multiple tests. All tests are counted -- additional information is collected from tests that fail.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Result()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RunListener` | `createListener()` Internal use only.
    `int` | `getFailureCount()`
    `List<Failure>` | `getFailures()`
    `int` | `getIgnoreCount()`
    `int` | `getRunCount()`
    `long` | `getRunTime()`
    `boolean` | `wasSuccessful()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Result

          public Result()

  - ### Method Detail

    - #### getRunCount

          public int getRunCount()

      Returns:
        the number of tests run

    - #### getFailureCount

          public int getFailureCount()

      Returns:
        the number of tests that failed during the run

    - #### getRunTime

          public long getRunTime()

      Returns:
        the number of milliseconds it took to run the entire suite to run

    - #### getFailures

          public List<Failure> getFailures()

      Returns:
        the `Failure`s describing tests that failed and the problems they encountered

    - #### getIgnoreCount

          public int getIgnoreCount()

      Returns:
        the number of tests ignored during the run

    - #### wasSuccessful

          public boolean wasSuccessful()

      Returns:
        `true` if all tests succeeded

    - #### createListener

          public RunListener createListener()

      Internal use only.